### Method

# Gtk Window maximize

#### Declaration [src]

    void
    gtk_window_maximize (
      GtkWindow* window
    )

#### Description [src]

Asks to maximize the window, so that it fills the screen.

Note that you shouldn’t assume the window is definitely maximized afterward, because other entities (e.g. the user or window manager) could unmaximize it again, and not all window managers support maximization.

It’s permitted to call this function before showing a window, in which case the window will be maximized when it appears onscreen initially.

If a window is not explicitly maximized or unmaximized before it is shown, the initial state is at the window managers discretion. For example, it might decide to maximize a window that almost fills the screen.

You can track the result of this operation via the `GdkToplevel:state` property, or by listening to notifications on the `GtkWindow:maximized` property.